Name:           regexxer
Version:        0.9
Release:        6%{?dist}
Summary:        A nifty GUI search/replace tool

Group:          Applications/Text
License:        GPLv2+
URL:            http://regexxer.sourceforge.net/
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.9-fix-save-all-menu-item.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsigc++20-devel, libglademm24-devel
BuildRequires:  gconfmm26-devel >= 2.6.1, pcre-devel >= 5.0.0
BuildRequires:	desktop-file-utils, gettext
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun): GConf2

%description
Regexxer is a nifty GUI search/replace tool featuring Perl-style regular 
expressions. If you need project-wide substitution and you’re tired of 
hacking sed command lines together, then you should definitely give it a try.

%prep
%setup -q
%patch0 -p1 -b .save-all

%build
# Workaround for libglade bug (#184038)
#%if "%{?fedora}" > "4"
#CXXFLAGS="${RPM_OPT_FLAGS} -Wl,--export-dynamic"
#%endif
%configure --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --remove-category Application                           \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :

touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 09 2008 Christoph Wickert <fedora christoph-wickert de> - 0.9-3
- Mass rebuild with gcc-4.3.0
- Fix "Save all" menu entry

* Tue Aug 21 2007 Christoph Wickert <fedora christoph-wickert de> - 0.9-2
- Rebuild for BuildID feature

* Sun Feb 25 2007 Christoph Wickert <fedora christoph-wickert de> - 0.9-1
- Update to 0.9.

* Mon Sep 04 2006 Christoph Wickert <fedora at christoph-wickert de> - 0.8-6
- Mass rebuild for Fedora Core 6.

* Sat Jul 29 2006 Christoph Wickert <fedora at christoph-wickert de> - 0.8-5
- Bump release to fix upgrade path.

* Sun Mar 05 2006 Christoph Wickert <fedora wickert at arcor de> - 0.8-4
- Compile with "-Wl,--export-dynamic" on Core 5 (#184001).
- Don't kill gconfd in %%pre, %%post and %%preun any longer (#173869).
- Fix typo in %%changelog.

* Wed Feb 15 2006 Christoph Wickert <fedora wickert at arcor de> - 0.8-3
- Rebuild for Fedora Extras 5.

* Wed Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.8-2
- Removed hardcoded dependency on gconfmm26.
- Remoded duplicate BuildRequires gtkmm24-devel.

* Thu Sep 22 2005 Christoph Wickert <fedora wickert at arcor de> - 0.8-1
- Initial RPM release.
